Skip to main content
PATCH
Update a beneficiary
Update a single beneficiary by beneficiary ID, using a list of names and values.
We do not currently support PUT. This may be supported in a later release.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token.

X-Contact-ID
string

The identifier of a contact.

Path Parameters

beneficiary_id
string
required

The identifier of a beneficiary.

Query Parameters

client_id
string
required

The identifier of a client.

Body

application/json

List of field names and values for update an existing beneficiary.

The data to update a beneficiary. After a beneficiary has received a payment, the only fields available for modification are email_addresses, email_notification and beneficiary_reference.

bank_country_code
string
required

The ISO 3166-1 alpha-2 code of the bank's country.

Pattern: [A-Z]{2}
bank_currency_code
string
required

The ISO 4217 code of the bank account's currency.

Pattern: [A-Z]{3}
account_number
string

The account number of the bank account.

bank_address_line_1
string

The first address line of the bank.

bank_identifier
string

The identifier of the bank.

bank_name
string

Name of the bank account holder.

correspondent_account
string

The account for the correspondant account of the bank.

correspondent_swift_code
string

The SWIFT code for the correspondant account of the bank.

iban
string

The IBAN of the bank account.

inn
string

The INN of the bank account.

kbk
string

The KBK of the bank account.

kio
string

The KIO of the bank account.

kpp
string

The KPP of the bank account.

purpose_of_payment
enum<string>

Text explaining the purpose of payment. Required by the Central Bank for all payments sent to China (CHN) in the Chinese Renminbi (CNY) currency or United Arab Emirates in any currency (GDE to RDA) [Coming soon].

Available options:
/CGODDR/,
/CGODDR/PART/,
/CGODDR/RETN/,
/CSTRDR/,
/CSTRDR/PART/,
/CSTRDR/RETN/,
/COCADR/,
/COCADR/RTN/,
/CCTFDR/,
/CCTFDR/PART/,
/CCTFDR/RETN/,
/CCDNDR/,
/CCDNDR/RTN/,
GDE,
GDI,
GMS,
STS,
ATS,
OTS,
STR,
SCO,
INS,
FIS,
IPC,
TCS,
ITS,
IFS,
RDS,
PMS,
TTS,
PRS,
GOS,
SAL,
IGD,
IID,
PIP,
PRR,
DOE,
ISH,
ISL,
ISS,
IOL,
IOD,
GRI,
CHC,
EDU,
ALW,
AES,
LAS,
OVT,
TKT,
SAA,
COP,
COM,
EOS,
BON,
PEN,
UTL,
DCP,
LND,
LIP,
IPO,
POR,
RNT,
LNC,
EMI,
DIV,
ACM,
CCP,
POS,
MCR,
CIN,
TOF,
IGT,
OAT,
SVI,
SVO,
SVP,
MWI,
MWO,
MWP,
PRP,
PRW,
IRP,
IRW,
CEA,
PPA,
DSF,
DLF,
FSA,
FIA,
DSA,
DLA,
FDA,
AFA,
SLA,
LLA,
LEA,
RFS,
TCR,
CEL,
PPL,
LDS,
LDL,
FSL,
FIL,
DSL,
DLL,
FDL,
AFL,
SLL,
LLL,
LEL,
RLS,
TCP,
TAX,
REL,
RDL,
REA,
RDA
reason_for_trade
string

The reason for trade of the bank account.

reference_information
string

The reference information of the bank account.

russian_central_bank_account
string

The Russian central account number of the bank account.

swift_code
string

The SWIFT code of the bank account.

vo
string

The VO of the bank account.

address_line_1
string

The first address line of the beneficiary.

beneficiary_reference
string

The reference for the beneficiary.

country_code
string

The ISO 3166-1 alpha-2 code of the beneficiary's country.

Pattern: [A-Z]{2}
email_addresses
string<email>[]

The list of beneficiary's email addresses.

email_notification
boolean

Whether the beneficiary should receive email notification of payments.

name
string

The name of the beneficiary.

post_code
string

The post code of the beneficiary.

Response

Beneficiary updated.